##### basic_socket_acceptor::basic_socket_acceptor (3 of 10 overloads)

Construct an open acceptor.

    basic_socket_acceptor(
        const executor_type & ex,
        const protocol_type & protocol);

This constructor creates an acceptor and automatically opens it.

###### Parameters

ex

  The I/O executor that the acceptor will use, by default, to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

asio::system_error

  Thrown on failure.